Bug 1950284 - Tracking bug for NE-563 - support user-defined tags on AWS load balancers
Summary: Tracking bug for NE-563 - support user-defined tags on AWS load balancers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Andrew McDermott
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks: 1954097
TreeView+ depends on / blocked
 
Reported: 2021-04-16 10:12 UTC by Andrew McDermott
Modified: 2021-07-27 23:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:01:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 578 0 None open Bug 1950284: Annotate services of type LoadBalancer with user tags (AWS only) 2021-04-16 10:13:26 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:01:41 UTC

Description Andrew McDermott 2021-04-16 10:12:05 UTC
This is a tracking bug in 4.8 to complete https://issues.redhat.com/browse/OCPPLAN-6006 and specifically https://issues.redhat.com/browse/NE-563.

Comment 8 Hongan Li 2021-04-28 10:11:51 UTC
Thank you Andrew, it works after adding `platform.aws.experimentalPropagateUserTags: true` in install-config.yaml.

Since latest nightly builds are all rejected so I verified this with ci build.

$ oc get clusterversion
NAME      VERSION                        AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.ci-2021-04-27-000602   True        False         52m     Cluster version is 4.8.0-0.ci-2021-04-27-000602

$ oc get infrastructures.config.openshift.io cluster -oyaml
<---snip--->
status:
  platformStatus:
    aws:
      region: us-east-1
      resourceTags:
      - key: contact
        value: hongli
      - key: customTag
        value: haha
    type: AWS

$ oc -n openshift-ingress get svc/router-default -oyaml | grep tags
    service.beta.kubernetes.io/aws-load-balancer-additional-resource-tags: contact=hongli,customTag=haha

$ oc -n openshift-ingress get svc/router-nlb -oyaml | grep tags
    service.beta.kubernetes.io/aws-load-balancer-additional-resource-tags: contact=hongli,customTag=haha

Goto the AWS console and can see the tags in both Classic and Network Load Balancers.

Comment 11 errata-xmlrpc 2021-07-27 23:01:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.